PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Award & Classification

This endpoint returns a paginated list of awards and their associated classifications available for the organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/awards_and_classifications

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve awards for

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

Returns a paginated list of awards available to the organisation. Each award includes its classifications. Only active awards with fully imported classifications that have associated pay rate templates are returned. Classifications with automatic progression are excluded.

dataobject
awardsobject[]

List of awards and their associated classifications available for the organisation.

award_iduuid

Unique identifier for the award.

award_namestring

Name of the award (industrial instrument).

classificationsobject[]

List of classifications available under this award.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of awards per page

Default20
Max100
total_pagesnumber

Total number of pages

total_itemsnumber

Total number of awards

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/awards_and_classifications" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "awards": [      {        "award_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",        "award_name": "Wholesale Award 2010",        "classifications": [          {            "classification_id": "b1b2c3d4-e5f6-7890-abcd-ef1234567890",            "classification_name": "Day Working - Full Time"          },          {            "classification_id": "c1b2c3d4-e5f6-7890-abcd-ef1234567890",            "classification_name": "Day Working - Part Time"          }        ]      },      {        "award_id": "d1b2c3d4-e5f6-7890-abcd-ef1234567890",        "award_name": "Retail Industry Award 2020",        "classifications": [          {            "classification_id": "e1b2c3d4-e5f6-7890-abcd-ef1234567890",            "classification_name": "Retail Employee Level 1"          }        ]      }    ],    "page_index": 1,    "item_per_page": 20,    "total_pages": 1,    "total_items": 2  }}